<?php
/**
 * @package http://www.binaryti.me
 * @version 0.1
 */
/*
Plugin Name: Binary Clock Sidebar Widget
Plugin URI: http://www.binaryti.me
Description: Binary Clock Sidebar Widget.
Author: Peter Lindblom
Version: 0.1
Author URI: http://www.plweb.se/
*/

/**
 * BinaryClock Class
 */
class BinaryClock extends WP_Widget {
    /** constructor */
    function BinaryClock() {
        parent::WP_Widget(false, $name = 'BinaryClock');	
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		        
		extract($args);
		$title = apply_filters( 'widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);
    ?>
        <?php echo $before_widget; ?>
			<?php if ( !empty( $title ) ) { echo $before_title . $title . $after_title; } ?>

			<div id="<?php echo $this->get_field_id('') ?>" style="width:120px;height:80px;margin:10px;"></div>	
			<script type="text/javascript" src="http://media.plweb.se/upload/files/binarytime.min.js"></script>
			<script type="text/javascript">
			se.plweb.binaryTime({binaryTimeDivId:'<?php echo $this->get_field_id('') ?>'});
			</script>
        <?php echo $after_widget; ?>
    <?php
    }

	 /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {				
	$instance = $old_instance;
	$instance['title'] = strip_tags($new_instance['title']);
        return $instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {				
        $title = esc_attr($instance['title']);
        ?>
            <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
        <?php 
    }
} 

add_action('widgets_init', create_function('', 'return register_widget("BinaryClock");'));
?>
